SCRIPT(1)

NAZWA
script - tworzy maszynopis sesji

SKŁADNIA
script [-a] [-f] [-q] [-t] [plik]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Script tworzy maszynopis wszystkiego, co zostało wydrukowane na Twoim terminalu. Jest to przydatne dla studentów, którzy potrzebują wydruk zapisu interakcyjnej sesji jako dowód na wykonanie wyznaczonego zadania, maszynopis ten może być wydrukowany później za pomocą lpr(1).

Jeżeli argument plik jest podany, script zapisuje cały dialog w pliku. Jeżeli nie zostanie podana nazwa pliku, wówczas maszynopis jest zapisany w pliku typescript.

Opcje:

-a  Dołącza wyjście do pliku albo typescript, zachowując uprzednią zawartość.

-f  Opróżnia wyjście po każdym zapisie. Jest to użyteczne w przypadku współpracy kilku osób: pierwsza wykonuje "mkfifo foo; script -f foo", a druga w czasie rzeczywistym nadzoruje jej poczynania, używając "cat foo".

-q  Tryb cichy.

-t  Wypisuje na stderr informacje o czasie. Dane te składają się z dwóch pól rozdzielonych spacją. Pierwsze pole zawiera informację, jak dużo czasu upłynęło od poprzedniego wyjścia. Drugie pole określa, ile znaków zostało wypisanych tym razem. Informacja ta może zostać użyta do powtórzenia zapisanego skryptu, tak jak rzeczywiście był wprowadzany.

Skrypt kończy się kiedy wychodzisz z powłoki (control-D, aby wyjść z powłoki Bourne (sh(1)), i exit, logout albo control-d (jeżeli ignoreeof nie jest ustawiona) dla powłoki C, csh(1)).

Pewne interakcyjne komendy, takie jak vi(1), tworzą śmieci w pliku maszynopisu Script działa najlepiej z komendami, które nie manipulują obrazem, rezultaty są słabsze od naśladowanego wydruku terminala.

Środowisko
Następująca zmienna środowiskowa jest wykorzystywana przez script:

SHELL
    Jeżeli zmienna SHELL istnieje, powłoka rozwidlona przez script będzie tą powłoką. Jeżeli SHELL nie jest ustawiona, wówczas przybierana jest powłoka Bourne. (Większość powłok ustawia tę zmienną automatycznie).

ZOBACZ TAKŻE
csh(1) (dla historii mechanizmu), replay(1).

HISTORIA
Komenda script pojawiła się w 3.0BSD.

BŁĘDY
Script umieszcza wszystko w pliku z logami, wliczając znaki wysuwu wiersza i znaki cofania się (backspace). To nie jest to, czego naiwny użytkownik by się spodziewał.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:
man --locale=C 1 script

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.